<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- This makes sure that the page follows whatever device width you are using example an ipad an iphone even mcbook pro-->
    <!-- without the viewport meta tag the site will note be responsive-->

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
<!-- this gets the content of the bootstap files from the internet, meaning we dont need to download all the files for boostrap, instead just use CDN -->
    <title>Hello, world!</title>
  </head>
  <body>
<!--    <h1>Hello, world!</h1>

    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p> 

<button class="btn btn-success">Click me!</button>-->

<!--grid system
containerbg primary us to define color od bs as container background -->

<div class container="container bg-primary">
  <h2>.container</h2>
  <div class="row" bg-dark> <!-- what is bg-dark-->
    <!--Inside the row-->
   <div class="col-6 bg-info">
2nd column</div>
  <div class="col-6 bg-info">
2nd column</div>
  </div>
</div>
<!-- end container -->


<!-- success will be use as another predefined colo in BS -->



<div class="container-fuid bg-success">
  <h2>.container-fuid</h2>
<div class="row bg-secondary">

<div class="col-2 bg-warning">1st column</div>
<div class="col-10 bg-warning">1st column</div>
</div>
</div>

<!-- grid breakpoints -->
<div class="container-fluid">
  <div class="row">
<!-- 1st area-->
    <div class="col-12 bg-warning">
      <h3>L12 M12 S12</h3>
    </div>

    <!-- second area-->
    <div class="col-12 col-md-6 col-lg-8 bg-info">
      <h3>L8 M6 S12</h3>
    </div>
<!-- 3rd are -->
<div class="col-10 col-md-6 col-lg-4 bg-primary">
  <h3>L4 M6 S10</h3>
</div>
<!-- end row-->
  </div>
  </div>
  <!--end container-->


<!-- nested column-->
<div class="container">
  <div class="row">
    <div class="col-md-9 bg-primary">
      <h5>inside the 9</h5>
      <!-- nested columns should have a row befor placing the collumn-->
      <div class="row">
      <div class="col-md-6 bg-danger">
        <h6>Inside nested 6 col</h6>
      </div>
       <div class="col-md-6 bg-warning">
         <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
         tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
         quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
         consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
         cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
         proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
       </div>
    </div>
  </div>
</div>
</div>
</div>


    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js" integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0" crossorigin="anonymous"></script>
    <!-- the bootstrap js is for the bootsrap component that are interactive 

      example
      dropdown
      carousel
      galleries

    -->

<!-- mini activity -->

<div class="container">
  <div class="row">
     <div class="row" bg-dark> 
   <div class="col-3 bg-info">1st column</div>
  <div class="col-3 bg-info">2nd column</div>
  <div class="col-3 bg-info">3rd column</div>
 <div class="col-3 bg-info">4th column</div>
  </div>
</div>

<div class="container">
  <div class="row">
  <div class="col-3 bg-info">1st column</div>
  <div class="col-6 bg-info">2nd column</div>
  <div class="col-3 bg-info">3rd column</div>
</div></div>

   
  </body>
</html>